- Main Page
- Classes
- Files

SignOn plugin development

# Introduction

This library contains the interface definition and a few classes that should be used when implementing an authentication plugin for the Single Sign On framework.

# Usage

Since it currently consists of a few header files and of a single moc-generated .cpp file, the library is built statically.

The library ships with a pkg-config file (signon-plugins.pc).

# List of classes in libsignon-qt

Here are the main classes in the libraries. You can also see the complete list of classes. All classes but the AuthPluginInterface reside in the SignOn namespace.

AuthPluginInterface | Interface to be implemented by all authentication plugins.
SignOn::UiSessionData | Dictionary of data to be exchanged between the plugin and the SignOn UI.